<?php
/**
 * Skin Demo importer
 *
 * @package TOURIMO
 * @since TOURIMO 1.76.0
 */


// Theme storage
//-------------------------------------------------------------------------

tourimo_storage_set( 'theme_demo_url', '//tourimo.ancorathemes.com' );


//------------------------------------------------------------------------
// One-click import support
//------------------------------------------------------------------------

// Set theme specific importer options
if ( ! function_exists( 'tourimo_skin_importer_set_options' ) ) {
	add_filter( 'trx_addons_filter_importer_options', 'tourimo_skin_importer_set_options', 9 );
	function tourimo_skin_importer_set_options( $options = array() ) {
		if ( is_array( $options ) ) {
			$options['files']['default']['title']       = esc_html__( 'Tourimo Demo', 'tourimo' );
			$options['files']['default']['domain_dev']  = esc_url( tourimo_get_protocol() . '://tourimo.ancorathemes.com' );    // Developers domain
			$options['files']['default']['domain_demo'] = tourimo_storage_get( 'theme_demo_url' );                            // Demo-site domain
			if ( substr( $options['files']['default']['domain_demo'], 0, 2 ) === '//' ) {
				$options['files']['default']['domain_demo'] = tourimo_get_protocol() . ':' . $options['files']['default']['domain_demo'];
			}
		}
		return $options;
	}
}


//------------------------------------------------------------------------
// OCDI support
//------------------------------------------------------------------------

// Set theme specific OCDI options
if ( ! function_exists( 'tourimo_skin_ocdi_set_options' ) ) {
	add_filter( 'trx_addons_filter_ocdi_options', 'tourimo_skin_ocdi_set_options', 9 );
	function tourimo_skin_ocdi_set_options( $options = array() ) {
		if ( is_array( $options ) ) {
			// Demo-site domain
			$options['files']['ocdi']['title']       = esc_html__( 'Tourimo OCDI Demo', 'tourimo' );
			$options['files']['ocdi']['domain_demo'] = tourimo_storage_get( 'theme_demo_url' );
			if ( substr( $options['files']['ocdi']['domain_demo'], 0, 2 ) === '//' ) {
				$options['files']['ocdi']['domain_demo'] = tourimo_get_protocol() . ':' . $options['files']['ocdi']['domain_demo'];
			}
			// If theme need more demo - just copy 'default' and change required parameters
		}
		return $options;
	}
}
